Subject: bug#51447: closed (Re: bug#51447: More explanations for the fix)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Nov 2021 12:00:03 +0000

Your bug report

#51447: Guile-gi fails a few tests on core-updates-frozen

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51447: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51447
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51447: More explanations for the fix
From: Tobias Geerinckx-Rice <[email-masked]>
To: Vivien Kraus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 03 Nov 2021 12:58:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Vivien,

Vivien Kraus via Bug reports for GNU Guix 写道：
> I was told that this issues gives headaches, so I added a short 
> comment
> explaining it.

Thanks, I feel a better already.  Pushed as 
6c39c131b74651e3019cd199061fcfc3607ba198.

Kind regards,

T G-R

Subject: Guile-gi fails a few tests on core-updates-frozen
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Wed, 27 Oct 2021 22:56:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix,

For my program, I depend on guile-gi. However, the test/string.scm test
contains some characters that are not recognized by guile (I suggest
using (call-with-input-string "<the character>" read-char) instead of
#\<the character>), and once that’s fixed, more tests fail, for which I
have no solution.

Best regards,

Vivien